com.sleepycat.db

## Interface Hasher

    public interface Hasher

An application-specified, database hash function.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `hash(Database db, byte[] data, int len)` An application-specified, database-specific hash function.

### Method Detail

#### hash

    int hash(Database db,
             byte[] data,
             int len)

An application-specified, database-specific hash function.

The hash function must handle any key values used by the application (possibly including zero-length keys).

Parameters:
  `db` - The enclosing database handle.
  `data` - The byte string to be hashed.
  `len` - The length of the byte string in bytes.

Returns:
  The hash value of the byte string.